<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="Mark Otto, Jacob Thornton, and Bootstrap contributors">
    <meta name="generator" content="Jekyll v4.1.1">
    <title>Free SMS for WooCommerce</title>
    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">


    <style>
      .bd-placeholder-img {
        font-size: 1.125rem;
        text-anchor: middle;
        -webkit-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
      }

      @media (min-width: 768px) {
        .bd-placeholder-img-lg {
          font-size: 3.5rem;
        }
      }
    </style>
    <!-- Custom styles for this template -->
    <link href="product.css" rel="stylesheet">
  </head>
  <body>

<div class="position-relative overflow-hidden p-0 m-md-3 bg-light">
  <img src="assets/banner.png" style="max-width:100%"/>
</div>

<div class="row text-left">
  <div class="container" id="bookmarkDownload">
    <div class ="ml-2">
      <div class="d-flex flex-s-column flex-md-row justify-content-around align-items-center bg-light mb-1">
        <div class="d-flex flex-column justify-content-center align-items-center m-2">
          <small class="text-muted m-1">Download with your Android phone and install (<a href="#bookmarkHowTo">help</a>).</small>
          <a href="https://firebasestorage.googleapis.com/v0/b/sms-sender-e5fb3.appspot.com/o/smsForWC.apk?alt=media&token=a3565de2-8bee-4e8e-898e-a67adfd47ee4" type="button" class="btn btn-secondary m-1">
            <img src="assets/android.png" class="mr-2" style="height: 1.6em">
            Download app
          </a>
        </div>
        <a href="https://gitlab.com/bjuriewicz/freesmsforwc" class="m-2">
          <div class="d-flex flex-row justify-content-center align-items-center">
            <span>Source code</span>
            <img src="assets/gitlab-icon-rgb.png" style="height:3em"/>
          </div>
        </a>
      </div>
    </div>
  </div>
</div>


<!-------------- TOKEN SECTION -->
<div id="tokenSection" style="display:none!important" class="d-md-flex flex-md-equal w-100 my-md-3 pl-md-3" >
  <div class="bg-light mr-md-3 pt-2 px-3 pt-md-5 px-md-5 text-center overflow-hidden" style="color: #5d4c9f;">
    <div class="my-3 pt-3 pb-1">
      <h2 class="display-5" id="premiumDateHeader">Your acount status is...</h2>
      <p class="lead" id="premiumDateLead"></p>
    </div>
    <div class="card">
      <div class="card-body">
        <div class="mb-4">
          <p class="lead mb-2" id="messagesSentContentTitle">Messages sent this month:</p>
          <h1 id="messagesSentContentValue"></h1>
        </div>
        <div>
          <p class="lead mb-2" id="premiumDateContentTitle"></p>
          <h1 id="premiumDateContentValue"></h1>
        </div>
      </div>
    </div>
  </div>
  <div class="bg-dark mr-md-3 pt-3 px-3 pt-md-5 px-md-5 text-center text-white overflow-hidden" style="background: linear-gradient(to bottom right, #8f4c6f 0%, #5d4c9f 100%)">
    <div class="my-3 py-3">
      <h2 class="display-5" id="goPremiumHeader">Go Premium</h2>
      <p class="lead">Send unlimited messages for $2 per month.</p>
    </div>
    <div class="bg-light shadow-sm mx-auto" style="padding: 1em 2em 1em 2em; width: 80%; height: 300px; border-radius: 21px 21px 0 0;">
      <div class="btn-group mb-1" role="group">
        <button type="button" class="btn btn-months btn-outline-warning" value="6" id="btn-months-3">3 months</button>
        <button type="button" class="btn btn-months btn-warning" value="12" id="btn-months-6">6 months</button>
        <button type="button" class="btn btn-months btn-outline-warning" value="24" id="btn-months-12">12 months</button>
      </div>
      <div class="text-right mb-1">
        <div id="amountSelected" class="badge badge-dark">$12.00</div>

      </div>
      <div id="paypal-button-container"></div>
    </div>
  </div>
</div>

<!---------------- ABOUT -->
<div class="d-md-flex flex-md-equal w-100 my-md-3 pl-md-3">
  <div class="bg-dark mr-md-3 pt-3 px-3 pt-md-5 px-md-5 text-white overflow-hidden" style="background: linear-gradient(to bottom right, #8f4c6f 0%, #5d4c9f 100%)">
    <div class="my-3 py-3" >
      <h2 class="display-5 text-center">How it works?</h2>
      <p class="lead">
        Free SMS for WooCommerce is a WooCommerce <a href="https://wordpress.org/plugins/free-sms-for-woocommerce">plugin</a> that sends SMS notifications 
        directly <strong>from your phone</strong>, using dedicated Android app.
      </p>
          <p>
            You can start using the plugin 3 in steps:
          </p>
          <ul>
            <li>Install WooCommerce Plugin (<a href="https://wordpress.org/plugins/free-sms-for-woocommerce">here</a>)</li>
            <li>Download and install Android app (<a href="#bookmarkHowTo">help</a>)</li>
            <li>Scan the QR code on Wordpress plugin Setting Page, using the Android app</li>
          </ul>
      <p class="lead">
        <strong>That's it!</strong> You can close the app. From now on, SMS messages will be delivered to your clients.
        You can send them when order is completed, cancelled etc.
        And you can see all the sent messages in your app.
      </p>
    </div>
    
  </div>
  <div class="bg-light mr-md-3 pt-3 px-3 pt-md-5 px-md-5 text-center overflow-hidden"  style="color: #5d4c9f;">
    <div class="my-3 p-3">
      <h2 class="display-5" >Features</h2>
      <div class="text-left" >
        <ul>
          <li class="lead">30 messages/month for <strong>free</strong></li>
          <li class="lead">$2 monthly for unlimited messages</li>
          <li class="lead">No contracts and additional fees</li>
          <li class="lead">Send different messages to different countries</li>
          <li class="lead">Or just send messages to your country only</li>
          <li class="lead">Send messages when order is placed, completed, cancelled, delayed and more</li>
        </ul>
      </div>
      <p class="lead text-left">And it couldn't be simpler!</p>
    </div>
    
  </div>
</div>


<div class="row text-left">
  <div class="container pb-5 pt-3">
    <div class ="ml-2">

      <h1 id="bookmarkFaq">Detailed description and FAQ</h1>
      
      <h3 class="mt-5">Slowly, how it works?</h3>
      <p class="lead">
        Simply put, your Free SMS for WooCommerce plugin asks your Android app to send SMS when order status has changed.
      </p>

      <h3 class="mt-5" id="bookmarkHowTo">How to use it?</h3>
      <p class="lead">
        1. Install Free SMS for WooCommerce <a href="https://wordpress.org/plugins/free-sms-for-woocommerce">plugin</a> from Wordpress plugin repository and configure the messages in admin panel.</br>
        2. Open this website with your phone and download the Android app <a href="">here</a>. Install the app. 
      (If you're not sure how to do that, there's <a href="https://www.lifewire.com/install-apk-on-android-4177185">a lot of resources that can help.</a>
      If you're not sure if you want to install an app from untrusted source, check the "I'm afraid..." question below.)</br>
        3. Open the app on your phone and scan QR code in the top corner of your WooCommerce <strong>plugin settings page</strong> (in Wordpress, not here). You'll see 'success' message.</br>
        You can close the Android app now. SMS messages will be sent in the background.
      </p>
      
      <h3 class="mt-5">Which Android version are supported?</h3>
      <p class="lead">
        Minimal Android version is 8 (Oreo).
      </p>

      <h3 class="mt-5">Is it really free?</h3>
      <p class="lead">
        The plugin is free. The Android app is free too. And you get 30 messages / month for free. If you need more, you can purchase
        the permium plan for $2/month or spin up your own service that handles requests from the plugin and
        forward them to Android app using Google's GCM (check the plugin code for description).
      </p>
      
      <h3 class="mt-5">I'm afraid of installing the app on my phone. Is it secure?</h3>
      <p class="lead">
        Android app is free and open source. The only thing it does is <code>&lt;technical mumbo-jumbo&gt;</code> <span class="text-secondary"> waiting for the 
          google cloud message notification and send sms. It keeps your QR as a token to communicate with the messaging server</span>
          <code>&lt;/technical mumbo-jumbo&gt;</code>
          It asks for camera and SMS permissions at startup. Camera is required to scan QR code.
          You can download the source code <a href="">here</a> and compile it on your own if you want.
        </p>
        
        <h3 class="mt-5">Why the app is not in Google Play app store?</h3>
        <p class="lead">
          Due to <a href="https://support.google.com/googleplay/android-developer/answer/9047303">new Google Play permissions policy</a>
          the app that wants to send SMS must be a "Default SMS handler". This policy prevents malicious apps from accessing SMS functionality,
          but also prevents Free SMS for WooCommerce from being listed in Google Play store.
        </p>
        
        <h3 class="mt-5">"There was a problem parsing a package."</h3>
        <p class="lead">
          Make sure you're using Android 8 (Oreo) or higher.
        </p>

        <h3 class="mt-5">Is there an iOS app for Apple?</h3>
        <p class="lead">
          No, only Android is supported.
        </p>

        <h3 class="mt-5">I don't want to pay $2. Can I create my own service?</h3>
        <p class="lead">
          Yes. You need to create an http server that does 2 things: 
        <ul>
          <li>
            Wait for the POST message from the Android app (when you scan the QR code) and store it somewhere.<br/>
            params: <code>{ qrToken, firebaseToken }</code>
          </li>
          <li>
            Wait for the POST message from Wordpress plugin (when order status changes) and send the Firebase Cloud Message to your phone.<br/>
            params: <code>{ qrToken, phone, message }</code>
          </li>
        </ul>
        <p>
          Then you just need to replace the <code>SEND_MESSAGE_URL</code> variable in Plugin code, and also replace the service url in Android app source code.
        </p>
      </p>

    </div>
  </div>
</div>

<footer class="footer mt-auto p-3 py-5 text-white align-center" style="background: linear-gradient(to bottom right, #8f4c6f 0%, #5d4c9f 100%)">
  <div class="d-flex flex-row justify-content-center">
    <div class="d-flex flex-column align-items-center">
      <div>
        Free SMS for WooCommerce <span class="ml-2" id="dateSpan"></span>
      </div>
      <div>
        <svg width="1em" height="1em" viewBox="0 0 16 16" class="bi mr-2 bi-chat-left-text-fill" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
          <path fill-rule="evenodd" d="M0 2a2 2 0 0 1 2-2h12a2 2 0 0 1 2 2v8a2 2 0 0 1-2 2H4.414a1 1 0 0 0-.707.293L.854 15.146A.5.5 0 0 1 0 14.793V2zm3.5 1a.5.5 0 0 0 0 1h9a.5.5 0 0 0 0-1h-9zm0 2.5a.5.5 0 0 0 0 1h9a.5.5 0 0 0 0-1h-9zm0 2.5a.5.5 0 0 0 0 1h5a.5.5 0 0 0 0-1h-5z"/>
        </svg>
        <span>bjuriewicz (a) gmail.com</span>
      </div>
    </div>

  </div>
</footer>
<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx" crossorigin="anonymous"></script>
<script src="https://www.paypal.com/sdk/js?client-id=ATwUc4xPzeYgSmAZLzPwjtQGu8QRNETaE0ZTlZZLHbaMRQTCCaVQD9cJbPa-p03RZLA9wNr6DCuJEAi9"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.29.1/moment.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootbox.js/5.4.1/bootbox.min.js"></script>

<script>
  
  var amount = 12;
  var premiumData;
  var gc = 'https://us-central1-sms-sender-e5fb3.cloudfunctions.net'

  var qrToken = new URLSearchParams(window.location.search).get('qrToken');
  function initPaypal() {
    paypal.Buttons({
      createOrder: function(data, actions) {
        return actions.order.create({
          purchase_units: [{
            reference_id: qrToken,
            amount: {
              value: amount,
            }
          }]
        });
      },
      onApprove: async function(data, actions) {
        return actions.order.capture().then(async function(details) {
          await fetch(gc + '/transactionComplete', {
            method: 'POST',
            mode: 'no-cors',
            headers: { 'Content-Type': 'application/json' },
            body: JSON.stringify(details)
          })
          console.log('payment completed', details)
          bootbox.alert("Payment succeeded! Processing usually takes a few minutes.")
        })
      }
    }).render('#paypal-button-container');
  }
    
  document.querySelectorAll('[id^="btn-months"]').forEach((item) => {
    item.onclick = () => {
      amount = parseInt(item.getAttribute('value'))
      $('.btn-months').removeClass('btn-warning')
      $('.btn-months').addClass('btn-outline-warning')
      $(item).removeClass('btn-outline-warning')
      $(item).addClass('btn-warning')
      document.getElementById('amountSelected').innerText = '$' + amount + '.00'
    }
  })

  document.getElementById('dateSpan').innerText = moment().format('yy')

  if (qrToken) {
    initPaypal()
    $('#tokenSection').css('display', '')
    
    fetch(gc + '/getPremiumDate?qrToken=' + qrToken, {method: 'GET'})
      .then(res => res.json())
      .then(res => { 
        premiumData = res
        console.log(premiumData)
        if (premiumData.premium) {
          document.getElementById('premiumDateHeader').innerText = 'Your current plan: PREMIUM'
          document.getElementById('goPremiumHeader').innerText = 'Extend your account'
          document.getElementById('premiumDateContentTitle').innerText = 'Your premium plan remains valid until:'
          document.getElementById('premiumDateContentValue').innerText = moment(premiumData.premiumDate).format('YYYY-MM-DD')
          document.getElementById('messagesSentContentValue').innerText = premiumData.messagesThisMonth || '0'
          
        } else {
          document.getElementById('premiumDateHeader').innerText = "Your current plan: FREE"
          document.getElementById('premiumDateLead').innerText = "Free plan is limited to 30 SMS messages / month"
          document.getElementById('messagesSentContentValue').innerText = (premiumData.messagesThisMonth || '0') + ' / 30'
        }
      })
  }

</script>
</html>
